# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`foreman_simple_user`](#foreman_simple_user): Ensure foreman users are present on the system

**Defined types**

* [`foreman_simple_user::user`](#foreman_simple_useruser): Create a single foreman user

## Classes

### foreman_simple_user

Ensure foreman users are present on the system

#### Examples

##### 

```puppet
include foreman_simple_user
```

#### Parameters

The following parameters are available in the `foreman_simple_user` class.

##### `users`

Data type: `Hash[String, Hash]`

The hash of users

Default value: $::foreman_users

## Defined types

### foreman_simple_user::user

Create a single foreman user

#### Examples

##### 

```puppet
foreman_simple_user::user { 'admin':
  ssh_authorized_keys => [
    {
      key     => 'AAA..BBB',
      type    => 'ssh-rsa',
      comment => 'My First Key',
    },
  ],
}
```

#### Parameters

The following parameters are available in the `foreman_simple_user::user` defined type.

##### `ensure`

Data type: `Enum['present', 'absent', 'role']`

The basic state that the user should be in.

Default value: 'present'

##### `username`

Data type: `String`

The username

Default value: $title

##### `group`

Data type: `String`

The primary group of the user

Default value: $title

##### `home`

Data type: `String`

The home directory of the user

Default value: "/home/${title}"

##### `password`

Data type: `Optional[String]`

An optional password for the user

Default value: `undef`

##### `comment`

Data type: `Optional[String]`

An optional comment about the user. Usually the full name.

Default value: `undef`

##### `ssh_authorized_keys`

Data type: `Array[Hash]`

A list of authorized keys

Default value: []

